stages:
  - testing
  - gen_fab

tests:
  image: ghcr.io/inti-cmnb/kicad7_auto:1.6.2
  stage: testing
  script:
    - "[ -f *.kicad_pcb ] && kibot -c test.kibot.yaml"

pcb_outputs:
  image: ghcr.io/inti-cmnb/kicad7_auto:1.6.2
  stage: gen_fab
  script:
    - "[ -f *.kicad_pcb ] && kibot -c output.kibot.yaml"
  artifacts:
    when: always
    paths:
      - Fabrication/
